Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5160)
@@ -1400,22 +1400,22 @@
     type(cosp_gridbox),intent(in) :: x
 
-    print *, '%%%%----- Information on COSP_GRIDBOX ------'
+    PRINT *, '%%%%----- Information on COSP_GRIDBOX ------'
     ! Scalars and dimensions
-    print *,  x%Npoints
-    print *,  x%Nlevels
-    print *,  x%Ncolumns
-    print *,  x%Nhydro
-    print *,  x%Nprmts_max_hydro
-    print *,  x%Naero
-    print *,  x%Nprmts_max_aero
-    print *,  x%Npoints_it
+    PRINT *,  x%Npoints
+    PRINT *,  x%Nlevels
+    PRINT *,  x%Ncolumns
+    PRINT *,  x%Nhydro
+    PRINT *,  x%Nprmts_max_hydro
+    PRINT *,  x%Naero
+    PRINT *,  x%Nprmts_max_aero
+    PRINT *,  x%Npoints_it
     
     ! Time [days]
-    print *,  x%time
+    PRINT *,  x%time
     
     ! Radar ancillary info
-    print *,  x%radar_freq, &
+    PRINT *,  x%radar_freq, &
             x%k2
-    print *,  x%surface_radar, &
+    PRINT *,  x%surface_radar, &
               x%use_mie_tables, &
               x%use_gas_abs, &
@@ -1423,77 +1423,77 @@
               x%melt_lay
 
-!               print *,  'shape(x%): ',shape(x%)
+!               PRINT *,  'shape(x%): ',shape(x%)
  
 !     type(class_param) ::  hp  ! structure used by radar simulator to store Ze and N scaling constants and other information
 !     type(mie)::  mt           ! structure used by radar simulator to store mie LUT information
-    print *,  x%nsizes
+    PRINT *,  x%nsizes
     
     ! Lidar
-    print *,  x%lidar_ice_type
+    PRINT *,  x%lidar_ice_type
     
     ! Radar
-    print *,  x%use_precipitation_fluxes
-    print *,  x%use_reff
+    PRINT *,  x%use_precipitation_fluxes
+    PRINT *,  x%use_reff
     
     ! Geolocation (Npoints)
-    print *,  'shape(x%longitude): ',shape(x%longitude)
-    print *,  'shape(x%latitude): ',shape(x%latitude)
+    PRINT *,  'shape(x%longitude): ',shape(x%longitude)
+    PRINT *,  'shape(x%latitude): ',shape(x%latitude)
     ! Gridbox information (Npoints,Nlevels)
-    print *,  'shape(x%zlev): ',shape(x%zlev)
-    print *,  'shape(x%zlev_half): ',shape(x%zlev_half)
-    print *,  'shape(x%dlev): ',shape(x%dlev)
-    print *,  'shape(x%p): ',shape(x%p)
-    print *,  'shape(x%ph): ',shape(x%ph)
-    print *,  'shape(x%T): ',shape(x%T)
-    print *,  'shape(x%q): ',shape(x%q)
-    print *,  'shape(x%sh): ',shape(x%sh)
-    print *,  'shape(x%dtau_s): ',shape(x%dtau_s)
-    print *,  'shape(x%dtau_c): ',shape(x%dtau_c)
-    print *,  'shape(x%dem_s): ',shape(x%dem_s)
-    print *,  'shape(x%dem_c): ',shape(x%dem_c)
-    print *,  'shape(x%mr_ozone): ',shape(x%mr_ozone)
+    PRINT *,  'shape(x%zlev): ',shape(x%zlev)
+    PRINT *,  'shape(x%zlev_half): ',shape(x%zlev_half)
+    PRINT *,  'shape(x%dlev): ',shape(x%dlev)
+    PRINT *,  'shape(x%p): ',shape(x%p)
+    PRINT *,  'shape(x%ph): ',shape(x%ph)
+    PRINT *,  'shape(x%T): ',shape(x%T)
+    PRINT *,  'shape(x%q): ',shape(x%q)
+    PRINT *,  'shape(x%sh): ',shape(x%sh)
+    PRINT *,  'shape(x%dtau_s): ',shape(x%dtau_s)
+    PRINT *,  'shape(x%dtau_c): ',shape(x%dtau_c)
+    PRINT *,  'shape(x%dem_s): ',shape(x%dem_s)
+    PRINT *,  'shape(x%dem_c): ',shape(x%dem_c)
+    PRINT *,  'shape(x%mr_ozone): ',shape(x%mr_ozone)
 
     ! Point information (Npoints)
-    print *,  'shape(x%land): ',shape(x%land)
-    print *,  'shape(x%psfc): ',shape(x%psfc)
-    print *,  'shape(x%sunlit): ',shape(x%sunlit)
-    print *,  'shape(x%skt): ',shape(x%skt)
-    print *,  'shape(x%u_wind): ',shape(x%u_wind)
-    print *,  'shape(x%v_wind): ',shape(x%v_wind)
+    PRINT *,  'shape(x%land): ',shape(x%land)
+    PRINT *,  'shape(x%psfc): ',shape(x%psfc)
+    PRINT *,  'shape(x%sunlit): ',shape(x%sunlit)
+    PRINT *,  'shape(x%skt): ',shape(x%skt)
+    PRINT *,  'shape(x%u_wind): ',shape(x%u_wind)
+    PRINT *,  'shape(x%v_wind): ',shape(x%v_wind)
 
     ! TOTAL and CONV cloud fraction for SCOPS
-    print *,  'shape(x%tca): ',shape(x%tca)
-    print *,  'shape(x%cca): ',shape(x%cca)
+    PRINT *,  'shape(x%tca): ',shape(x%tca)
+    PRINT *,  'shape(x%cca): ',shape(x%cca)
     ! Precipitation fluxes on model levels
-    print *,  'shape(x%rain_ls): ',shape(x%rain_ls)
-    print *,  'shape(x%rain_cv): ',shape(x%rain_cv)
-    print *,  'shape(x%snow_ls): ',shape(x%snow_ls)
-    print *,  'shape(x%snow_cv): ',shape(x%snow_cv)
-    print *,  'shape(x%grpl_ls): ',shape(x%grpl_ls)
+    PRINT *,  'shape(x%rain_ls): ',shape(x%rain_ls)
+    PRINT *,  'shape(x%rain_cv): ',shape(x%rain_cv)
+    PRINT *,  'shape(x%snow_ls): ',shape(x%snow_ls)
+    PRINT *,  'shape(x%snow_cv): ',shape(x%snow_cv)
+    PRINT *,  'shape(x%grpl_ls): ',shape(x%grpl_ls)
     ! Hydrometeors concentration and distribution parameters
-    print *,  'shape(x%mr_hydro): ',shape(x%mr_hydro)
-    print *,  'shape(x%dist_prmts_hydro): ',shape(x%dist_prmts_hydro)
+    PRINT *,  'shape(x%mr_hydro): ',shape(x%mr_hydro)
+    PRINT *,  'shape(x%dist_prmts_hydro): ',shape(x%dist_prmts_hydro)
     ! Effective radius [m]. (Npoints,Nlevels,Nhydro)
-    print *,  'shape(x%Reff): ',shape(x%Reff)
-    print *,  'shape(x%Np): ',shape(x%Np)       ! added by roj with Quickbeam V3
+    PRINT *,  'shape(x%Reff): ',shape(x%Reff)
+    PRINT *,  'shape(x%Np): ',shape(x%Np)       ! added by roj with Quickbeam V3
     ! Aerosols concentration and distribution parameters
-    print *,  'shape(x%conc_aero): ',shape(x%conc_aero)
-    print *,  'shape(x%dist_type_aero): ',shape(x%dist_type_aero)
-    print *,  'shape(x%dist_prmts_aero): ',shape(x%dist_prmts_aero)
+    PRINT *,  'shape(x%conc_aero): ',shape(x%conc_aero)
+    PRINT *,  'shape(x%dist_type_aero): ',shape(x%dist_type_aero)
+    PRINT *,  'shape(x%dist_prmts_aero): ',shape(x%dist_prmts_aero)
     ! ISCCP simulator inputs
-    print *, x%isccp_top_height
-    print *, x%isccp_top_height_direction
-    print *, x%isccp_overlap
-    print *, x%isccp_emsfc_lw
+    PRINT *, x%isccp_top_height
+    PRINT *, x%isccp_top_height_direction
+    PRINT *, x%isccp_overlap
+    PRINT *, x%isccp_emsfc_lw
   
     ! RTTOV inputs/options
-    print *, x%plat
-    print *, x%sat
-    print *, x%inst
-    print *, x%Nchan
-    print *,  'shape(x%Ichan): ',x%Ichan
-    print *,  'shape(x%Surfem): ',x%Surfem
-    print *, x%ZenAng
-    print *, x%co2,x%ch4,x%n2o,x%co
+    PRINT *, x%plat
+    PRINT *, x%sat
+    PRINT *, x%inst
+    PRINT *, x%Nchan
+    PRINT *,  'shape(x%Ichan): ',x%Ichan
+    PRINT *,  'shape(x%Surfem): ',x%Surfem
+    PRINT *, x%ZenAng
+    PRINT *, x%co2,x%ch4,x%n2o,x%co
                 
 END SUBROUTINE COSP_GRIDBOX_PRINT
@@ -1502,20 +1502,20 @@
     type(cosp_misr),intent(in) :: x
 
-    print *, '%%%%----- Information on COSP_MISR ------'
+    PRINT *, '%%%%----- Information on COSP_MISR ------'
                 
      ! Dimensions
-    print *, x%Npoints
-    print *, x%Ntau
-    print *, x%Nlevels
+    PRINT *, x%Npoints
+    PRINT *, x%Ntau
+    PRINT *, x%Nlevels
 
      ! --- (npoints,ntau,nlevels)
      !  the fraction of the model grid box covered by each of the MISR cloud types
-     print *,  'shape(x%fq_MISR): ',shape(x%fq_MISR)
+     PRINT *,  'shape(x%fq_MISR): ',shape(x%fq_MISR)
      
      ! --- (npoints)
-     print *,  'shape(x%MISR_meanztop): ',shape(x%MISR_meanztop)
-     print *,  'shape(x%MISR_cldarea): ',shape(x%MISR_cldarea)
+     PRINT *,  'shape(x%MISR_meanztop): ',shape(x%MISR_meanztop)
+     PRINT *,  'shape(x%MISR_cldarea): ',shape(x%MISR_cldarea)
      ! --- (npoints,nlevels)
-     print *,  'shape(x%MISR_dist_model_layertops): ',shape(x%MISR_dist_model_layertops)
+     PRINT *,  'shape(x%MISR_dist_model_layertops): ',shape(x%MISR_dist_model_layertops)
     
 END SUBROUTINE COSP_MISR_PRINT
@@ -1524,20 +1524,20 @@
     type(cosp_isccp),intent(in) :: x
             
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-
-    print *, '%%%%----- Information on COSP_ISCCP ------'
-    
-     print *, 'shape(x%fq_isccp): ',shape(x%fq_isccp)
-     print *, 'shape(x%totalcldarea): ',shape(x%totalcldarea)
-     print *, 'shape(x%meantb): ',shape(x%meantb)
-     print *, 'shape(x%meantbclr): ',shape(x%meantbclr)
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+
+    PRINT *, '%%%%----- Information on COSP_ISCCP ------'
+    
+     PRINT *, 'shape(x%fq_isccp): ',shape(x%fq_isccp)
+     PRINT *, 'shape(x%totalcldarea): ',shape(x%totalcldarea)
+     PRINT *, 'shape(x%meantb): ',shape(x%meantb)
+     PRINT *, 'shape(x%meantbclr): ',shape(x%meantbclr)
      
-     print *, 'shape(x%meanptop): ',shape(x%meanptop)
-     print *, 'shape(x%meantaucld): ',shape(x%meantaucld)
-     print *, 'shape(x%meanalbedocld): ',shape(x%meanalbedocld)
-     print *, 'shape(x%boxtau): ',shape(x%boxtau)
-     print *, 'shape(x%boxptop): ',shape(x%boxptop)
+     PRINT *, 'shape(x%meanptop): ',shape(x%meanptop)
+     PRINT *, 'shape(x%meantaucld): ',shape(x%meantaucld)
+     PRINT *, 'shape(x%meanalbedocld): ',shape(x%meanalbedocld)
+     PRINT *, 'shape(x%boxtau): ',shape(x%boxtau)
+     PRINT *, 'shape(x%boxptop): ',shape(x%boxptop)
 END SUBROUTINE COSP_ISCCP_PRINT
 
@@ -1545,19 +1545,19 @@
     type(cosp_vgrid),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_VGRID ------'
-    print *, x%use_vgrid
-    print *, x%csat_vgrid
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nlvgrid
+    PRINT *, '%%%%----- Information on COSP_VGRID ------'
+    PRINT *, x%use_vgrid
+    PRINT *, x%csat_vgrid
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nlvgrid
     ! Array with dimensions (Nlvgrid)
-    print *, 'shape(x%z): ',shape(x%z)
-    print *, 'shape(x%zl): ',shape(x%zl)
-    print *, 'shape(x%zu): ',shape(x%zu)
+    PRINT *, 'shape(x%z): ',shape(x%z)
+    PRINT *, 'shape(x%zl): ',shape(x%zl)
+    PRINT *, 'shape(x%zu): ',shape(x%zu)
     ! Array with dimensions (Nlevels)
-    print *, 'shape(x%mz): ',shape(x%mz)
-    print *, 'shape(x%mzl): ',shape(x%mzl)
-    print *, 'shape(x%mzu): ',shape(x%mzu)
+    PRINT *, 'shape(x%mz): ',shape(x%mz)
+    PRINT *, 'shape(x%mzl): ',shape(x%mzl)
+    PRINT *, 'shape(x%mzu): ',shape(x%mzu)
 END SUBROUTINE COSP_VGRID_PRINT
 
@@ -1565,18 +1565,18 @@
     type(cosp_sglidar),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_SGLIDAR ------'
+    PRINT *, '%%%%----- Information on COSP_SGLIDAR ------'
     ! Dimensions
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nhydro
-    print *, x%Nrefl
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nhydro
+    PRINT *, x%Nrefl
     ! Arrays with dimensions (Npoints,Nlevels)
-    print *, 'shape(x%beta_mol): ',shape(x%beta_mol)
+    PRINT *, 'shape(x%beta_mol): ',shape(x%beta_mol)
     ! Arrays with dimensions (Npoints,Ncolumns,Nlevels)
-    print *, 'shape(x%beta_tot): ',shape(x%beta_tot)
-    print *, 'shape(x%tau_tot): ',shape(x%tau_tot)
+    PRINT *, 'shape(x%beta_tot): ',shape(x%beta_tot)
+    PRINT *, 'shape(x%tau_tot): ',shape(x%tau_tot)
     ! Arrays with dimensions (Npoints,Ncolumns,Nrefl)
-    print *, 'shape(x%refl): ',shape(x%refl)
+    PRINT *, 'shape(x%refl): ',shape(x%refl)
 END SUBROUTINE COSP_SGLIDAR_PRINT
 
@@ -1584,14 +1584,14 @@
     type(cosp_sgradar),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_SGRADAR ------'
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nhydro
+    PRINT *, '%%%%----- Information on COSP_SGRADAR ------'
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nhydro
     ! output vertical levels: spaceborne radar -> from TOA to SURFACE
     ! Arrays with dimensions (Npoints,Nlevels)
-    print *, 'shape(x%att_gas): ', shape(x%att_gas)
+    PRINT *, 'shape(x%att_gas): ', shape(x%att_gas)
     ! Arrays with dimensions (Npoints,Ncolumns,Nlevels)
-    print *, 'shape(x%Ze_tot): ', shape(x%Ze_tot)
+    PRINT *, 'shape(x%Ze_tot): ', shape(x%Ze_tot)
 END SUBROUTINE COSP_SGRADAR_PRINT
 
@@ -1599,12 +1599,12 @@
     type(cosp_radarstats),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_SGRADAR ------'
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nhydro
-    print *, 'shape(x%cfad_ze): ',shape(x%cfad_ze)
-    print *, 'shape(x%radar_lidar_tcc): ',shape(x%radar_lidar_tcc)
-    print *, 'shape(x%lidar_only_freq_cloud): ',shape(x%lidar_only_freq_cloud)
+    PRINT *, '%%%%----- Information on COSP_SGRADAR ------'
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nhydro
+    PRINT *, 'shape(x%cfad_ze): ',shape(x%cfad_ze)
+    PRINT *, 'shape(x%radar_lidar_tcc): ',shape(x%radar_lidar_tcc)
+    PRINT *, 'shape(x%lidar_only_freq_cloud): ',shape(x%lidar_only_freq_cloud)
 END SUBROUTINE COSP_RADARSTATS_PRINT
 
@@ -1612,36 +1612,36 @@
     type(cosp_lidarstats),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_SGLIDAR ------'
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nhydro
-    print *, x%Nrefl
+    PRINT *, '%%%%----- Information on COSP_SGLIDAR ------'
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nhydro
+    PRINT *, x%Nrefl
     
     ! Arrays with dimensions (SR_BINS)
-    print *, 'shape(x%srbval): ',shape(x%srbval)
+    PRINT *, 'shape(x%srbval): ',shape(x%srbval)
     ! Arrays with dimensions (Npoints,SR_BINS,Nlevels)
-    print *, 'shape(x%cfad_sr): ',shape(x%cfad_sr)
+    PRINT *, 'shape(x%cfad_sr): ',shape(x%cfad_sr)
 !    ! Arrays with dimensions (Npoints,Ncolumns,Nlevels) !TIBO
-!    print *, 'shape(x%profSR): ',shape(x%profSR)        !TIBO
+!    PRINT *, 'shape(x%profSR): ',shape(x%profSR)        !TIBO
     ! Arrays with dimensions (Npoints,Nlevels,Ncolumns) !TIBO2
-    print *, 'shape(x%profSR): ',shape(x%profSR)        !TIBO2
+    PRINT *, 'shape(x%profSR): ',shape(x%profSR)        !TIBO2
     ! Arrays with dimensions (Npoints,Nlevels)
-    print *, 'shape(x%lidarcld): ',shape(x%lidarcld)
-    print *, 'shape(x%proftemp): ',shape(x%proftemp)    !TIBO
+    PRINT *, 'shape(x%lidarcld): ',shape(x%lidarcld)
+    PRINT *, 'shape(x%proftemp): ',shape(x%proftemp)    !TIBO
     ! Arrays with dimensions (Npoints,LIDAR_NCAT)
-    print *, 'shape(x%cldlayer): ',shape(x%cldlayer)
+    PRINT *, 'shape(x%cldlayer): ',shape(x%cldlayer)
     ! Arrays with dimensions (Npoints,LIDAR_NTYPE)            !OPAQ
-    print *, 'shape(x%cldtype): ',shape(x%cldtype)            !OPAQ
+    PRINT *, 'shape(x%cldtype): ',shape(x%cldtype)            !OPAQ
     ! Arrays with dimensions (Npoints,PARASOL_NREFL)
-    print *, 'shape(x%parasolrefl): ',shape(x%parasolrefl)
+    PRINT *, 'shape(x%parasolrefl): ',shape(x%parasolrefl)
      ! Arrays with dimensions (Npoints,Nlevels,Nphase)
-    print *, 'shape(x%lidarcldphase): ',shape(x%lidarcldphase)
+    PRINT *, 'shape(x%lidarcldphase): ',shape(x%lidarcldphase)
      ! Arrays with dimensions (Npoints,Nlevels,LIDAR_NTYPE+1) !OPAQ
-    print *, 'shape(x%lidarcldtype): ',shape(x%lidarcldtype)  !OPAQ
+    PRINT *, 'shape(x%lidarcldtype): ',shape(x%lidarcldtype)  !OPAQ
      ! Arrays with dimensions (Npoints,LIDAR_NCAT,Nphase)
-    print *, 'shape(x%cldlayerphase): ',shape(x%cldlayerphase)
+    PRINT *, 'shape(x%cldlayerphase): ',shape(x%cldlayerphase)
      ! Arrays with dimensions (Npoints,Ntemps,Nphase)
-    print *, 'shape(x%lidarcldphase): ',shape(x%lidarcldtmp)
+    PRINT *, 'shape(x%lidarcldphase): ',shape(x%lidarcldtmp)
 
 END SUBROUTINE COSP_LIDARSTATS_PRINT
@@ -1650,12 +1650,12 @@
     type(cosp_subgrid),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_SUBGRID ------'
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nhydro
-    
-    print *, 'shape(x%prec_frac): ',shape(x%prec_frac)
-    print *, 'shape(x%frac_out): ',shape(x%frac_out)
+    PRINT *, '%%%%----- Information on COSP_SUBGRID ------'
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nhydro
+    
+    PRINT *, 'shape(x%prec_frac): ',shape(x%prec_frac)
+    PRINT *, 'shape(x%frac_out): ',shape(x%frac_out)
 END SUBROUTINE COSP_SUBGRID_PRINT
 
@@ -1663,13 +1663,13 @@
     type(cosp_sghydro),intent(in) :: x
             
-    print *, '%%%%----- Information on COSP_SGHYDRO ------'
-    print *, x%Npoints
-    print *, x%Ncolumns
-    print *, x%Nlevels
-    print *, x%Nhydro
-    
-    print *, 'shape(x%mr_hydro): ',shape(x%mr_hydro)
-    print *, 'shape(x%Reff): ',shape(x%Reff)
-    print *, 'shape(x%Np): ',shape(x%Np)         ! added by roj with Quickbeam V3
+    PRINT *, '%%%%----- Information on COSP_SGHYDRO ------'
+    PRINT *, x%Npoints
+    PRINT *, x%Ncolumns
+    PRINT *, x%Nlevels
+    PRINT *, x%Nhydro
+    
+    PRINT *, 'shape(x%mr_hydro): ',shape(x%mr_hydro)
+    PRINT *, 'shape(x%Reff): ',shape(x%Reff)
+    PRINT *, 'shape(x%Np): ',shape(x%Np)         ! added by roj with Quickbeam V3
 END SUBROUTINE COSP_SGHYDRO_PRINT
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90	(revision 5160)
@@ -273,6 +273,6 @@
     endif    
     
-    if (l_min) print *,'----- WARNING: '//trim(pro_name)//': minimum value of '//trim(vname)//' set to: ',min_val
-    if (l_max) print *,'----- WARNING: '//trim(pro_name)//': maximum value of '//trim(vname)//' set to: ',max_val
+    if (l_min) PRINT *,'----- WARNING: '//trim(pro_name)//': minimum value of '//trim(vname)//' set to: ',min_val
+    if (l_max) PRINT *,'----- WARNING: '//trim(pro_name)//': maximum value of '//trim(vname)//' set to: ',max_val
   END SUBROUTINE COSP_CHECK_INPUT_1D
 !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -308,6 +308,6 @@
     endif    
     
-    if (l_min) print *,'----- WARNING: '//trim(pro_name)//': minimum value of '//trim(vname)//' set to: ',min_val
-    if (l_max) print *,'----- WARNING: '//trim(pro_name)//': maximum value of '//trim(vname)//' set to: ',max_val
+    if (l_min) PRINT *,'----- WARNING: '//trim(pro_name)//': minimum value of '//trim(vname)//' set to: ',min_val
+    if (l_max) PRINT *,'----- WARNING: '//trim(pro_name)//': maximum value of '//trim(vname)//' set to: ',max_val
   END SUBROUTINE COSP_CHECK_INPUT_2D
 !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -343,6 +343,6 @@
     endif    
     
-    if (l_min) print *,'----- WARNING: '//trim(pro_name)//': minimum value of '//trim(vname)//' set to: ',min_val
-    if (l_max) print *,'----- WARNING: '//trim(pro_name)//': maximum value of '//trim(vname)//' set to: ',max_val
+    if (l_min) PRINT *,'----- WARNING: '//trim(pro_name)//': minimum value of '//trim(vname)//' set to: ',min_val
+    if (l_max) PRINT *,'----- WARNING: '//trim(pro_name)//': maximum value of '//trim(vname)//' set to: ',max_val
   END SUBROUTINE COSP_CHECK_INPUT_3D
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5160)
@@ -372,5 +372,5 @@
 
       if ( Ncat .ne. 4 ) then
-         print *,'Error in lmd_ipsl_stats.cosp_cldfrac, Ncat must be 4, not',Ncat
+         PRINT *,'Error in lmd_ipsl_stats.cosp_cldfrac, Ncat must be 4, not',Ncat
          stop
       endif
@@ -918,5 +918,5 @@
              enddo
              checkcldlayerphase2=cldlayer(i,iz)-checkcldlayerphase
-             if( (checkcldlayerphase2.gt.0.01).or.(checkcldlayerphase2.lt.-0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
+             if( (checkcldlayerphase2.gt.0.01).or.(checkcldlayerphase2.lt.-0.01) ) PRINT *, checkcldlayerphase,cldlayer(i,iz)
 
           endif
@@ -962,6 +962,6 @@
 
     if(checktemp.NE.lidarcldtemp(i,itemp,1))then
-      print *, i,itemp
-      print *, lidarcldtemp(i,itemp,1:4)
+      PRINT *, i,itemp
+      PRINT *, lidarcldtemp(i,itemp,1:4)
     endif
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5160)
@@ -512,5 +512,5 @@
   alam=3E5/freq
   if((alam < wlmin) .or. (alam > wlmax)) then
-    print *, 'm_ice: wavelength out of bounds'
+    PRINT *, 'm_ice: wavelength out of bounds'
     stop
   endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90	(revision 5160)
@@ -223,5 +223,5 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 ! AI mars 2017
-!        print *, 'Allocating memory for gridbox type...'
+!        PRINT *, 'Allocating memory for gridbox type...'
 
 ! Surafce emissivity
@@ -240,5 +240,5 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
-!        print *, 'Populating input structure...'
+!        PRINT *, 'Populating input structure...'
         gbx%longitude = lon
         gbx%latitude = lat
@@ -324,5 +324,5 @@
         ! Define new vertical grid
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!        print *, 'Defining new vertical grid...'
+!        PRINT *, 'Defining new vertical grid...'
         call construct_cosp_vgrid(gbx,Nlr,use_vgrid,csat_vgrid,vgrid)
 
@@ -330,5 +330,5 @@
        ! Allocate memory for other types
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!        print *, 'Allocating memory for other types...'
+!        PRINT *, 'Allocating memory for other types...'
         call construct_cosp_subgrid(Npoints, Ncolumns, Nlevels, sgx)
         call construct_cosp_sgradar(cfg,Npoints,Ncolumns,Nlevels,N_HYDRO,sgradar)
@@ -347,5 +347,5 @@
 
       !$OMP MASTER
-!        print *, ' Open outpts files and define axis'
+!        PRINT *, ' Open outpts files and define axis'
         call cosp_output_open(Nlevlmdz, Ncolumns, presnivs, dtime, freq_cosp, &
                               ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml, &
@@ -358,5 +358,5 @@
         ! Call simulator
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!        print *, 'Calling simulator...'
+!        PRINT *, 'Calling simulator...'
 !! AI 
 !        call cosp(overlap,Ncolumns,cfg,vgrid,gbx,sgx,sgradar,sglidar,isccp,misr,stradar,stlidar)
@@ -371,5 +371,5 @@
 !!!!!!!!!!!!!!!!!! Ecreture des sorties Cosp !!!!!!!!!!!!!!r!!!!!!:!!!!!
 
-!       print *, 'Calling write output'
+!       PRINT *, 'Calling write output'
      if (.NOT. debut_cosp) call cosp_output_write(Nlevlmdz, Npoints, Ncolumns, itap, dtime, freq_COSP, missing_val, &
                                cfg, gbx, vgrid, sglidar, sgradar, stlidar, stradar, & 
@@ -379,5 +379,5 @@
         ! Deallocate memory in derived types
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!        print *, 'Deallocating memory...'
+!        PRINT *, 'Deallocating memory...'
         call free_cosp_gridbox(gbx)
         call free_cosp_subgrid(sgx)
@@ -397,5 +397,5 @@
   ! Time in s. Only for testing purposes
 !  call system_clock(t1,count_rate,count_max)
-!  print *,(t1-t0)*1.0/count_rate
+!  PRINT *,(t1-t0)*1.0/count_rate
     if (debut_cosp) then 
       debut_cosp=.false.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5160)
@@ -213,5 +213,5 @@
           else
             if (Np_matrix(tp,pr,k)>0) then
-               print *, 'Warning: Re and Np set for the same ', &
+               PRINT *, 'Warning: Re and Np set for the same ', &
                         'volume & hydrometeor type.  Np is being ignored.'
             endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_read_otputkeys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_read_otputkeys.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_read_otputkeys.F90	(revision 5160)
@@ -658,6 +658,6 @@
     
   if (i.gt.78) then
-     print *, 'COSP_IO: wrong number of output diagnostics'
-     print *, i,78
+     PRINT *, 'COSP_IO: wrong number of output diagnostics'
+     PRINT *, i,78
      stop
   endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90	(revision 5160)
@@ -959,5 +959,5 @@
              enddo
              checkcldlayerphase2 = cldlayer(i,iz)-checkcldlayerphase
-             if((checkcldlayerphase2 .gt. 0.01) .or. (checkcldlayerphase2 .lt. -0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
+             if((checkcldlayerphase2 .gt. 0.01) .or. (checkcldlayerphase2 .lt. -0.01) ) PRINT *, checkcldlayerphase,cldlayer(i,iz)
           endif
        enddo
@@ -998,6 +998,6 @@
           checktemp=lidarcldtemp(i,itemp,2)+lidarcldtemp(i,itemp,3)+lidarcldtemp(i,itemp,4)
           !if(checktemp .NE. lidarcldtemp(i,itemp,1))then
-          !   print *, i,itemp
-          !   print *, lidarcldtemp(i,itemp,1:4)
+          !   PRINT *, i,itemp
+          !   PRINT *, lidarcldtemp(i,itemp,1:4)
           !endif
           
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90	(revision 5160)
@@ -286,5 +286,5 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 ! AI mars 2017
-!        print *, 'Allocating memory for gridbox type...'
+!        PRINT *, 'Allocating memory for gridbox type...'
 
 ! Surafce emissivity
@@ -303,5 +303,5 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
-!        print *, 'Populating input structure...'
+!        PRINT *, 'Populating input structure...'
         gbx%longitude = lon
         gbx%latitude = lat
@@ -387,5 +387,5 @@
         ! Define new vertical grid
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!        print *, 'Defining new vertical grid...'
+!        PRINT *, 'Defining new vertical grid...'
         call construct_cosp_vgrid(gbx,Nlr,use_vgrid,csat_vgrid,vgrid)
         print*,'Nlvgrid,use_vgrid,csat_vgrid ',Nlr,use_vgrid,csat_vgrid
@@ -394,5 +394,5 @@
        ! Allocate memory for other types
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!        print *, 'Allocating memory for other types...'
+!        PRINT *, 'Allocating memory for other types...'
         call construct_cosp_subgrid(Npoints, Ncolumns, Nlevels, sgx)
         if (cfg%Lradar_sim) call construct_cosp_sgradar(Npoints,Ncolumns,Nlevels,N_HYDRO,sgradar) 
@@ -409,5 +409,5 @@
     if (debut_cosp) then
       !$OMP MASTER
-        print *, ' Open outpts files and define axis'
+        PRINT *, ' Open outpts files and define axis'
         call cosp_output_open(Nlevlmdz, Ncolumns, presnivs, dtime, freq_cosp, &
                               ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml, &
@@ -428,5 +428,5 @@
 !!!!!!!!!!!!!!!!!! Ecreture des sorties Cosp !!!!!!!!!!!!!!r!!!!!!:!!!!!
 
-       print *, 'Calling write output'
+       PRINT *, 'Calling write output'
         call cosp_output_write(Nlevlmdz, Npoints, Ncolumns, itap, dtime, freq_COSP, missing_val, &
                                cfg, gbx, vgrid, sglidar, sgradar, stlidar, stradar, & 
@@ -435,11 +435,11 @@
         ! Deallocate memory in derived types
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-      print *, 'Deallocating memory...'
+      PRINT *, 'Deallocating memory...'
      call free_cosp_gridbox(gbx)
-      print *, 'free_cosp_gridbox'
+      PRINT *, 'free_cosp_gridbox'
      call free_cosp_subgrid(sgx)
-      print *, 'ffree_cosp_subgrid'
+      PRINT *, 'ffree_cosp_subgrid'
      call free_cosp_vgrid(vgrid)
-      print *, 'free_cosp_vgrid'
+      PRINT *, 'free_cosp_vgrid'
      if (cfg%Lradar_sim) call free_cosp_sgradar(sgradar)
      if (cfg%Lradar_sim) call free_cosp_radarstats(stradar)
@@ -450,9 +450,9 @@
      if (cfg%Lmodis_sim) call free_cosp_modis(modis)
      if (cfg%Lrttov_sim) call free_cosp_rttov(rttov)
-     print *, 'End phys_cosp2'
+     PRINT *, 'End phys_cosp2'
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   ! Time in s. Only for testing purposes
 !  call system_clock(t1,count_rate,count_max)
-!  print *,(t1-t0)*1.0/count_rate
+!  PRINT *,(t1-t0)*1.0/count_rate
  
 end subroutine phys_cosp2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90	(revision 5160)
@@ -1070,5 +1070,5 @@
              enddo
              checkcldlayerphase2 = cldlayer(i,iz)-checkcldlayerphase
-             if((checkcldlayerphase2 .gt. 0.01) .or. (checkcldlayerphase2 .lt. -0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
+             if((checkcldlayerphase2 .gt. 0.01) .or. (checkcldlayerphase2 .lt. -0.01) ) PRINT *, checkcldlayerphase,cldlayer(i,iz)
           endif
        enddo
@@ -1109,6 +1109,6 @@
           checktemp=lidarcldtemp(i,itemp,2)+lidarcldtemp(i,itemp,3)+lidarcldtemp(i,itemp,4)
           !if(checktemp .NE. lidarcldtemp(i,itemp,1))then
-          !   print *, i,itemp
-          !   print *, lidarcldtemp(i,itemp,1:4)
+          !   PRINT *, i,itemp
+          !   PRINT *, lidarcldtemp(i,itemp,1:4)
           !endif
           
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_interface.F90	(revision 5160)
@@ -527,5 +527,5 @@
       !$OMP MASTER
 
-        print *, ' Open outpts files and define axis'
+        PRINT *, ' Open outpts files and define axis'
         call lmdz_cosp_output_open(Nlevlmdz, Ncolumns, presnivs, dtime, freq_cosp,       &
                                    ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml, &
@@ -553,5 +553,5 @@
 !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-       print *, 'Calling write output'
+       PRINT *, 'Calling write output'
         call lmdz_cosp_output_write(Nlevlmdz, Npoints, Ncolumns, itap, dtime, freq_COSP, &
                                     missing_val, cfg, niv_sorties, cospOUT)
